ONVIF::Device::Types::AudioEncoderConfigurationOption(3pm)

NAME
ONVIF::Device::Types::AudioEncoderConfigurationOption

DESCRIPTION
Perl data type class for the XML Schema defined complexType AudioEncoderConfigurationOption from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Encoding

•   BitrateList

•   SampleRateList

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::AudioEncoderConfigurationOption
   Encoding => $some_value, # AudioEncoding
   BitrateList =>  { # ONVIF::Device::Types::IntList
     Items =>  $some_value, # int
   },
   SampleRateList =>  { # ONVIF::Device::Types::IntList
     Items =>  $some_value, # int
   },
 },

AUTHOR
Generated by SOAP::WSDL